import { ButtonBase } from "@mui/material";
import Image from "next/image";
import Link from "next/link";
import SectionWrapper from "./components/SectionWrapper";

const CertificatesList = ({ content }) => {
  if (!content) return null;
  return (
   
      <SectionWrapper content={content}>
        <div className="w-full flex justify-center">
          <div className="w-full max-w-[700px]  grid grid-cols-2 md:grid-cols-4 gap-4 lg:gap-6">
            {content.list.map((item, index) => (
              <Link
                key={index}
                href={item.link}
                className="w-full aspect-square"
              >
                <div className="w-full h-full  bg-white shadow-lg rounded-xl ">
                  <ButtonBase
                    sx={{ width: "100%", height: "100%", borderRadius: "14px" }}
                  >
                    <div className="w-full h-full flex flex-col gap-3 p-2">
                      <div className="w-full h-[50%] flex items-center justify-center">
                        <div className="h-full w-20 flex items-center justify-center">
                          <Image
                            src={item.image}
                            width={"0"}
                            height={"0"}
                            sizes="100vw"
                            alt={item.imageAlt}
                            title={item.imageTitle}
                            className="w-[80%] h-auto"
                          />
                        </div>
                      </div>
                      <div className="w-full flex flex-1 flex-col gap-3">
                        <strong>{item.title}</strong>
                        <p className="text-xs text-text-second">{item.desc}</p>
                      </div>
                    </div>
                  </ButtonBase>
                </div>
              </Link>
            ))}
          </div>
        </div>
      </SectionWrapper>
  );
};

export default CertificatesList;
